package com.eactive.eai.rms.onl.manage.serviceinfo.itsm;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.eactive.eai.rms.common.base.BaseService;
import com.eactive.eai.rms.onl.dashboard.service.Dashboard2RepositoryService;
import com.eactive.eai.rms.onl.manage.serviceinfo.itsm.vo.ErrorEvent;

@Service
public class ItsmErrorEventService extends BaseService {
	
	@Autowired
	private Dashboard2RepositoryService dashboardRepoService;
	
	protected ErrorEvent getErrorEvent() {
		
		HashMap<String, HashMap<String, String>> allErrorMap = dashboardRepoService.getAllDashErrorMap();
		logger.debug("allErrorMap : " + allErrorMap);

		ErrorEvent result = new ErrorEvent(allErrorMap);
		
		return result;
	}

}
